export class ColorPlugin extends HTMLElement {
    static get observedAttributes(): string[];
    constructor(options: any);
    colorCollections: any;
    onColorPicked: any;
    defaulColor: any;
    pluginType: any;
    hasCustomPicker: any;
    customColor: any;
    focus(): void;
    connectedCallback(): void;
    $popover: HTMLElement | null | undefined;
    popcon: HTMLElement | null | undefined;
    colorBtn: HTMLElement | null | undefined;
    colors: HTMLElement | null | undefined;
    nativeclick: boolean | undefined;
    set value(value: any);
    get value(): any;
    closeConverter(ev: any): void;
    disconnectedCallback(): void;
    setupCustomPicker(): void;
    customPicker: HTMLElement | null | undefined;
    pickerInput: HTMLInputElement | undefined;
    set defaultvalue(value: any);
    get defaultvalue(): any;
    get type(): string | null;
    set disabled(value: boolean);
    get disabled(): boolean;
    set dir(value: string | null);
    get dir(): string | null;
    $value: any;
    attributeChangedCallback(name: any, oldValue: any, newValue: any): void;
}
